> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Notification List

> Returns a cursor-paginated notification feed for the caller role, optionally unread only.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /platform/notification-list
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/notification-list:
    post:
      operationId: notificationList
      summary: Notification List
      description: >-
        Returns a cursor-paginated notification feed for the caller role,
        optionally unread only.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotificationListRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationListResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    NotificationListRequest:
      type: object
      properties:
        approvalOnly:
          const: true
        limit:
          type: integer
          minimum: 1
          maximum: 50
        cursor:
          oneOf:
            - type: string
              format: uuid
            - type: string
              pattern: ^\d{4}-\d{2}-\d{2}T
        unreadOnly:
          type: boolean
    NotificationListResponse:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              roleNotificationID:
                type: string
              readAt:
                type:
                  - string
                  - 'null'
              createdAt:
                type: string
              event:
                type: object
                properties:
                  notificationEventID:
                    type: string
                  eventType:
                    type: string
                  actorRoleInOrgID:
                    type:
                      - string
                      - 'null'
                  groupKey:
                    type:
                      - string
                      - 'null'
                  targetEntityID:
                    type:
                      - string
                      - 'null'
                  targetEntityType:
                    type:
                      - string
                      - 'null'
                  payload: {}
                  display:
                    type: object
                    properties:
                      title:
                        type: string
                      href:
                        type:
                          - string
                          - 'null'
                    required:
                      - title
                      - href
                  createdAt:
                    type: string
                required:
                  - notificationEventID
                  - eventType
                  - actorRoleInOrgID
                  - groupKey
                  - targetEntityID
                  - targetEntityType
                  - payload
                  - createdAt
            required:
              - roleNotificationID
              - readAt
              - createdAt
              - event
        nextCursor:
          type:
            - string
            - 'null'
      required:
        - items
        - nextCursor
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
